
Foreman - Bug #6361

menu item "Hosts --> All hosts" is visible to normal user from anonymous role by default

06/24/2014 03:45 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Authentication   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1112750 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1549

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1112750

++ This bug was initially created as a clone of Bug #1112182 ++

Description of problem:

I created a simple user in "Any context" mode and did not assign any location, org and roles. But following menus are visible to that

user.

Ideally user shouldn't be allowed to have access to any of menu items without any permission. Hosts menu shows "All Hosts" and

user can see the created hosts.

Version-Release number of selected component (if applicable):

sat6 beta snap10 compose2

How reproducible:

always

Steps to Reproduce:

1. Login with admin user

2. create a user in "Any context" and do not assign location and org

3. logout with admin user and login with newly created user

Actual results:

User can see Hosts --> All hosts

Expected results:

user shouldn't be allowed to have access to any of menu items without any permission

Additional info:

Related issues:

Related to Foreman - Refactor #994: The Role default_user is misleading Rejected 06/17/2011

Related to Foreman - Bug #5672: Host group filter bypassed due to unlimited v... Rejected 05/12/2014

Related to Foreman - Bug #6926: New user with just anonymous role will get 40... Duplicate 08/05/2014

Related to Foreman - Bug #1632: On login with minimal permissions, user is al... New 05/18/2012

Is duplicate of Foreman - Bug #4641: Deleting user with associated roles trig... Closed 03/12/2014

History

#1 - 06/24/2014 03:46 PM - Dominic Cleal

- Category set to Authentication

Not really "any permission", but all users automatically get the "Anonymous" role added.  By default the anonymous role (a terrible name in itself, see 

#994) grants an unlimited view_hosts permission.  This confuses a lot of people and should be removed by default IMHO.
#2 - 06/24/2014 03:46 PM - Dominic Cleal

- Related to Refactor #994: The Role default_user is misleading added

#3 - 06/24/2014 03:47 PM - Dominic Cleal

- Subject changed from menu item "Hosts --> All hosts" is visible to normal user without any permission to menu item "Hosts --> All hosts" is visible to

normal user from anonymous role by default

#4 - 06/25/2014 12:08 PM - Daniel Lobato Garcia

- Assignee set to Daniel Lobato Garcia

#5 - 06/25/2014 12:11 PM - Dominic Cleal

- Status changed from New to Assigned

- Target version set to 1.8.1

#6 - 06/30/2014 01:27 PM - Daniel Lobato Garcia

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1549

#7 - 07/02/2014 09:12 AM - Dominic Cleal

- Related to Bug #5672: Host group filter bypassed due to unlimited view_hosts filter on anonymous role added

#8 - 07/07/2014 07:24 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#9 - 07/24/2014 01:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1549 added

#10 - 07/24/2014 02:00 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 10

Fixed via #4641.

#11 - 07/24/2014 02:00 PM - Dominic Cleal

- Is duplicate of Bug #4641: Deleting user with associated roles triggers PG::NotNullViolation added

#12 - 08/05/2014 04:16 AM - Dominic Cleal

- Related to Bug #6926: New user with just anonymous role will get 403 Forbidden upon logon to / (redirected to /hosts) added

#13 - 08/05/2014 04:16 AM - Dominic Cleal

- Related to Bug #1632: On login with minimal permissions, user is always taken to host page added
